Agara

Get portfolio summary

GET/trade/v1/portfolio/summary

Authorization

personal_access_token portfolio:read
AuthorizationBearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: portfolio:read

Query Parameters

exchanges?string

Optional AGARA exchange filter. Omit it to query the AGARA wallet.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/trade/v1/portfolio/summary"
{  "summaries": [    {      "accounting_status": "AVAILABLE",      "as_of": "2019-08-24T14:15:22Z",      "cash_balance_micro": "string",      "exchange": "AGARA",      "free_cash_micro": "string",      "open_cost_basis_micro": "string",      "open_unrealized_pnl_micro": "string",      "portfolio_value_micro": "string",      "positions_value_micro": "string"    }  ]}